summaryrefslogtreecommitdiffstats
path: root/libraries/confuse
diff options
context:
space:
mode:
author Erik Hanson <erik@slackbuilds.org>2010-05-11 22:53:57 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 22:53:57 +0200
commitee4b5fef3d79cb459a4d668d4c3eb8be6ec1b40a (patch)
treee9e68a3afc989bf6ba78bb646721206b19d484f0 /libraries/confuse
parenta5bc5119445c73641ca2997cfd0306f6ee4aa09b (diff)
downloadslackbuilds-ee4b5fef3d79cb459a4d668d4c3eb8be6ec1b40a.tar.gz
slackbuilds-ee4b5fef3d79cb459a4d668d4c3eb8be6ec1b40a.tar.xz
libraries/confuse: Added to 12.1 repository
Diffstat (limited to 'libraries/confuse')
-rw-r--r--libraries/confuse/README11
-rw-r--r--libraries/confuse/confuse.SlackBuild66
-rw-r--r--libraries/confuse/confuse.info8
-rw-r--r--libraries/confuse/slack-desc19
4 files changed, 104 insertions, 0 deletions
diff --git a/libraries/confuse/README b/libraries/confuse/README
new file mode 100644
index 0000000000..4277fc6ec2
--- /dev/null
+++ b/libraries/confuse/README
@@ -0,0 +1,11 @@
+Confuse is a configuration file parser library, licensed under the terms of
+the LGPL, and written in C. It supports sections and (lists of) values
+(strings, integers, floats, booleans or other sections), as well as some other
+features (such as single/double-quoted strings, environment variable expansion,
+functions and nested include statements). It makes it very easy to add
+configuration file capability to a program using a simple API.
+
+The goal of Confuse is not to be the configuration file parser library
+with a gazillion features. Instead, it aims to be easy to use and quick
+to integrate with your code. Confuse was called libcfg before, but was
+changed to not confuse with other similar libraries.
diff --git a/libraries/confuse/confuse.SlackBuild b/libraries/confuse/confuse.SlackBuild
new file mode 100644
index 0000000000..aea93c1474
--- /dev/null
+++ b/libraries/confuse/confuse.SlackBuild
@@ -0,0 +1,66 @@
+#!/bin/sh
+
+# Slackware build script for libConfuse
+# Written by Erik Hanson erik@slackbuilds.org
+# Modified by the SlackBuilds.org project
+
+PRGNAM=confuse
+VERSION=2.6
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --enable-shared=yes \
+ --enable-static=no \
+ --build=$ARCH-slackware-linux \
+ --host=$ARCH-slackware-linux \
+ || exit 1
+
+make || exit 1
+make install-strip DESTDIR=$PKG || exit 1
+
+( cd $PKG
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/man/man3
+cp -a doc/man/man3/* $PKG/usr/man/man3/
+gzip -9 $PKG/usr/man/man3/*
+
+rmdir $PKG/usr/bin
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ABOUT-NLS AUTHORS COPYING INSTALL NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/confuse/confuse.info b/libraries/confuse/confuse.info
new file mode 100644
index 0000000000..1258dbc1a5
--- /dev/null
+++ b/libraries/confuse/confuse.info
@@ -0,0 +1,8 @@
+PRGNAM="confuse"
+VERSION="2.6"
+HOMEPAGE="http://www.nongnu.org/confuse/"
+DOWNLOAD="http://bzero.se/confuse/confuse-2.6.tar.gz"
+MD5SUM="0e883d66f0f58fc33585b430c652aa30"
+MAINTAINER="Erik Hanson"
+EMAIL="erik@slackbuilds.org"
+APPROVED="rworkman"
diff --git a/libraries/confuse/slack-desc b/libraries/confuse/slack-desc
new file mode 100644
index 0000000000..b444344cac
--- /dev/null
+++ b/libraries/confuse/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+confuse: Confuse (configuration file parser library)
+confuse:
+confuse: Confuse is a configuration file parser library. It supports
+confuse: sections and (lists of) values (strings, integers, floats,
+confuse: booleans or other sections), as well as some other features
+confuse: (such as single/double-quoted strings, environment variable
+confuse: expansion, functions, and nested include statements).
+confuse:
+confuse: http://www.nongnu.org/confuse/
+confuse:
+confuse: